Package org.apache.sis.image

# Enum SequenceType

Object
Enum<SequenceType>
SequenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<SequenceType>`, `Constable`

public enum SequenceType extends Enum<SequenceType>
Specifies the order in which attribute value records are assigned to grid points. Placeholder for `org​.opengis​.coverage​.grid​.SequenceType`.
Upcoming API change: this class may move to GeoAPI in a future version. If that move happens, the `org​.apache​.sis​.image` package name would become `org​.opengis​.coverage`.

Since:
  1.1

Defined in the `sis-feature` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINEAR`
  Iterate consecutive grid points along complete grid lines.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SequenceType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SequenceType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINEAR

    public static final SequenceType LINEAR
    Iterate consecutive grid points along complete grid lines.

- ## Method Details

  - ### values

    public static SequenceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SequenceType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null